<ul class="nav justify-content-end">
    <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
        <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
    </li>
</ul>
<div class="input-group w-100 mt-3">
    <input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
        name="currentSearch" placeholder="Find Jadwal Pengiriman">
    <button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
        <span class="fa fa-search"></span>
    </button>
    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
        <span class="fa fa-trash-o"></span>
    </button>
</div>
</div>
<br></br>
<div class="col-md-12" style="overflow:auto">
    <div class="pull-right">
        <div style="margin-bottom: 10px;">
            <button pButton type="button" class="ui-button-primary btn-sm" label="Assign Driver" (click)="showModalKonfirmasiOther()" [disabled]="selected?.length == 0"></button>
            </button>
        </div>
    </div>
</div>
<p-dataTable [value]="customShipment" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idShipment" expandableRows="false"
    (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)"  [(selection)]="selected">
    <p-header>
        <div class="row"></div>
    </p-header>
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{'mpmApp.shipmentOutgoing.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelNoDo'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.shipmentNumber}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelAddressTo'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.deliveryAddress}}
        </ng-template>
    </p-column>
    <!-- <p-column header="{{'mpmApp.shipmentOutgoing.labelAddressTo'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.currentStatus}}
        </ng-template>
    </p-column> -->
    <p-column header="{{'mpmApp.shipmentOutgoing.labelqty'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.qty}}
        </ng-template>
    </p-column>

    <p-column header="{{'mpmApp.shipmentOutgoing.labelDeliverySchedule'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div class="row">
                    <div class="ui-g-12 ui-md-12">
                        <div class="ui-g">
                            <div class="ui-g-6 ui-sm-6">
                                <div *ngIf="(rowData.dateSchedulle == null );then nodate else datehere"></div>
                                <ng-template #nodate><i>No Date </i></ng-template>
                                <ng-template #datehere>{{rowData.dateSchedulle | date:'fullDate'}}  </ng-template>
                            </div>
                        </div>
                    </div>
                </div>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelPaymentStatus'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.saleTypeDescription}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelNOKA'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idframe}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelSales'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <p *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.salesmanName}}</p><p *ngIf="(idInternalHere != rowData.idInternalsrc)">-</p>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelKorsal'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <p *ngIf="(idInternalHere == rowData.idInternalsrc)">{{rowData.coordinatorSales}}</p><p *ngIf="(idInternalHere != rowData.idInternalsrc)">-</p>
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelStatus'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.currentStatus === 20">
                {{'mpmApp.shipmentOutgoing.labelSendWarehouse'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 21">
                {{'mpmApp.shipmentOutgoing.labelCancelShipment'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 22">
                {{'mpmApp.shipmentOutgoing.labelAssignTo'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 23">
                {{'mpmApp.shipmentOutgoing.labelCompleteShipment'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 24">
                {{'mpmApp.shipmentOutgoing.labelPrintBast'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 25">
                {{'mpmApp.shipmentOutgoing.labelCompleteWarehose'|translate}}
            </div>
            <div *ngIf="rowData.currentStatus === 26">
                {{'mpmApp.shipmentOutgoing.labelAssignTo'|translate}}
            </div>
            <!-- {{rowData.currentStatus}} -->
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.shipmentOutgoing.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <!-- <div *ngIf="rowData.currentStatus != undefined "> -->
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.currentStatus!=23">
                <button pButton type="submit" (click)="goToDetail(rowData)" pTooltip="Edit" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}">
                        </button>
                <!-- <div *ngIf="rowData.currentStatus!=22"> -->
                <!-- <button type="button" (click)="showModalKonfirmasiOther(rowData)" pTooltip="Assign" pButton icon="fa-external-link-square"></button> -->
                <!-- </div> -->
            </div>

        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>

<p-confirmDialog></p-confirmDialog>

<p-dialog header="Konfirmasi Driver" [(visible)]="modalKonfirmasiDriver" modal="modal" width="300" [responsive]="true">
    <div class="ui-g-12">
        <p-radioButton name="stat" value="1" [(ngModel)]="stat" (onClick)="status()" label="Internal" for="driversInternal"></p-radioButton>
        <select id="driversInternal" name="driversInternal" [disabled]="stat==2" [(ngModel)]="shipmentOutgoings.idDriver" class="form-control">
            <option [ngValue]="partyRoleId.idPartyRole" *ngFor="let partyRoleId of driversInternal; trackBy: trackDriverById">{{partyRoleId.partyName}}</option>
        </select>
    </div>
    <div class="ui-g-12">
        <p-radioButton name="stat" value="2" [(ngModel)]="stat" (onClick)="status()" label="Eksternal"></p-radioButton>
        <input type="text" [disabled]="stat==1" [(ngModel)]="shipmentOutgoings.otherName" class="form-control" id="" name="">
    </div>
    <p-footer>
        <button type="button" pButton icon="fa-close" (click)="modalKonfirmasiDriver=false" label="Cancel"></button>
        <button type="button" pButton icon="fa-check" [disabled]="!buttonVisible" (click)="assignDriver()" label="Submit"></button>
    </p-footer>
</p-dialog>

<!-- <p-dialog header="Konfirmasi Driver" [(visible)]="modalKonfirmasiOther" modal="modal" width="300" [responsive]="true">
    <div class="ui-g-12">
        <div class="form-group">
            <label class="form-control-label" for="statusdriver">Status</label>
            <p-inputSwitch [(ngModel)]="statusdriver" (onChange)="status()" onLabel="External" offLabel="Internal" name="statusdriver" id="statusdriver"></p-inputSwitch>
        </div>
        <div [hidden]="!statusdriver">

            <select class="form-control" id="fiel_sales" [(ngModel)]="shipmentOutgoings.idDriver" name="idDriver">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="driverdata.idDriver" *ngFor="let driverdata of driver; trackBy: trackdriverById">{{driver.person.firstname}}</option>
                </select>
        </div>
        <div [hidden]="statusdriver">
            <div class="ui-g-8">
                <div class="form-group">
                    <input type="text" [(ngModel)]="shipmentOutgoings.otherName" class="form-control" id="" name="">
                </div>
            </div>
        </div>


    </div>
    <p-footer>

        <button type="button" pButton icon="fa-close" (click)="modalKonfirmasiOther=false" label="Cancel"></button>
        <button type="button" pButton icon="fa-check" (click)="updateRowData()" label="Submit"></button>
    </p-footer>
</p-dialog> -->